# Class JarResource

java.lang.Object
org.apache.catalina.webresources.AbstractResource
org.apache.catalina.webresources.AbstractArchiveResource
org.apache.catalina.webresources.AbstractSingleArchiveResource
org.apache.catalina.webresources.JarResource

All Implemented Interfaces:
  `WebResource`

public class JarResource extends AbstractSingleArchiveResource
Represents a single resource (file or directory) that is located within a JAR.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class org.apache.catalina.webresources.AbstractArchiveResource

  `AbstractArchiveResource.JarInputStreamWrapper`

- ## Field Summary

  ### Fields inherited from class org.apache.catalina.webresources.AbstractResource

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JarResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Log`
  `getLog()`

  ### Methods inherited from class org.apache.catalina.webresources.AbstractSingleArchiveResource

  `getJarInputStreamWrapper`

  ### Methods inherited from class org.apache.catalina.webresources.AbstractArchiveResource

  `canRead, delete, doGetInputStream, exists, getArchiveResourceSet, getBase, getBaseUrl, getCanonicalPath, getCertificates, getCodeBase, getContent, getContentLength, getCreation, getLastModified, getManifest, getName, getResource, getURL, isDirectory, isFile, isVirtual`

  ### Methods inherited from class org.apache.catalina.webresources.AbstractResource

  `getETag, getInputStream, getLastModifiedHttp, getMimeType, getStrongETag, getWebappPath, getWebResourceRoot, setMimeType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JarResource

    public JarResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry)

- ## Method Details

  - ### getLog

    protected Log getLog()
    Specified by:
      `getLog` in class `AbstractResource`